// pages/myinfo/createbook/createbook.js
let util = require('../../../utils/util.js');
var that
Page({

  /**
   * 页面的初始数据
   */
  data: {
    imgurl: util.imgurl,
    name: '',
    photo: '',
    isPublic: false,
    baseImgUrl: util.baseImgUrl
  },
  save() {
    if (!this.data.name) {
      util.showToast('请填写账本名称')
      return
    }
    var url = ''
    var data = {}
    if (this.data.id) {
      url = 'accountbook/wxapi/update'
      data = this.data.detail
      data.name = this.data.name
      data.photo = this.data.photo
      data.isPublic = this.data.isPublic ? 1 : 0
    } else {
      url = 'accountbook/wxapi/create'
      data = {
        name: this.data.name,
        photo: this.data.photo,
        isPublic: this.data.isPublic ? 1 : 0
      }
    }

    util.query(url, data, function(res) {
      if (res.code === 10000) {
        util.showToast('保存成功')
        setTimeout(function() {
          wx.navigateBack({
            delta: 1
          })
        }, 2000)
      } else {
        util.showToast('保存失败')
      }

    }, 'POST')
  },
  setpub(e) {
    this.setData({
      isPublic: e.detail.value
    })
  },
  setname(e) {
    this.setData({
      name: e.detail.value
    })
  },
  addImage(e) {

    wx.chooseImage({
      count: 1,
      sizeType: ['compressed'],
      sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有
      success: function(res) {
        wx.showLoading({
          title: '加载中',
        })


        wx.uploadFile({
          url: util.baseurl + 'file/uploadfile',
          filePath: res.tempFilePaths[0],
          name: 'file',
          header: {
            'token': wx.getStorageSync("token")
          },
          success: function(res) {
            wx.hideLoading()
            var d = JSON.parse(res.data);
            if (d.code == 10000) {
              that.setData({
                photo: d.imageUrl
              })

            } else {
              util.showToast('上传失败')
            }

          }
        })

      }
    })
  },
  getDetail() {
    util.query('accountbook/wxapi/findbyid', {
      id: this.data.id
    }, function(res) {
      if (res.code === 10000) {
        that.setData({
          detail: res.data,
          name: res.data.name,
          photo: res.data.photo,
          isPublic: res.data.isPublic === 1 ? true : false,
        })
      } else {
        util.showToast('未发现该账本')
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    that = this
    if (options.id) {
      this.setData({
        id: options.id
      })
      this.getDetail()
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})